For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get a Demo
Get StartedConceptsProductsGuidesUI ComponentsAPI Access
Get StartedConceptsProductsGuidesUI ComponentsAPI Access
    • Getting Started
    • Environments and Base URLs
    • Reference
  • API Reference
      • GETList Consumer Disputes
      • GETGet Consumer Bank Accounts
      • GETList Consumer Payment Cards
      • GETList Consumers
      • POSTCreate New Consumer
      • GETRetrieve Consumer
      • PUTUpdate Consumer
      • GETGet Consumers By PCID
      • GETList Consumer Addresses V 2
      • POSTCreate Address V 2
      • GETRetrieve Address V 2
      • PUTUpdate Address V 2
      • DELDelete Address V 2
      • GETList Consumer Invites
      • POSTCreate Consumer Invites
      • POSTCreate Consumer Dispute
      • POSTCreate Account Cancellation
Get a Demo
LogoLogo
API ReferenceConsumers

Retrieve Consumer

GET
https://host.com/v2/consumers/:consumer_id/
GET
/v2/consumers/:consumer_id/
$curl https://host.com/v2/consumers/consumer_id/ \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "id": "string",
3 "pcid": "string",
4 "mla_status": true,
5 "phone_number": "string",
6 "date_of_birth": "string",
7 "tax_id_type": "string",
8 "address_line1": "string",
9 "address_line2": "string",
10 "address_city": "string",
11 "address_state": "string",
12 "address_zip": "string",
13 "external_id": "string",
14 "first_name": "string",
15 "last_name": "string",
16 "email": "string",
17 "is_active": true,
18 "kyc_status": "string",
19 "tax_identifier": "string",
20 "credit_lines": "string"
21}

Get the consumer data from the consumer_id provided by the partner

Was this page helpful?
Previous

Update Consumer

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

consumer_idstringRequired

Response

idstringformat: "uuid"
pcidstring
mla_statusboolean
phone_numberstring
date_of_birthstring
tax_id_typestring
address_line1string
address_line2string
address_citystring
address_statestring
address_zipstring
external_idstringformat: "uuid"
first_namestring or null<=255 characters
last_namestring or null<=255 characters
emailstring or nullformat: "email"<=255 characters
is_activeboolean
kyc_statusstringRead-only
tax_identifierstring or nullRead-only
credit_linesstring or nullRead-only